--[[
	Author: Darcey@AllForTheCode.co.uk
--]]


-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function setupPageWelcome()
	DCVGlobal["DCOptions"].Main = CreateFrame( "Frame", "DCoordsOptionsMainPage", UIParent );
	local frame = DCVGlobal["DCOptions"].Main;
	frame.name = "DCoords";
	InterfaceOptions_AddCategory(frame);
	
	-- Add background to options to enhance readability
	frame:SetBackdrop({
		bgFile = "Interface/DialogFrame/UI-DialogBox-Background",
		edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
		tile = true, tileSize = 10, edgeSize = 10,
		insets = { left = 3, right = 3, top = 3, bottom = 3 }
	})
	
	-- Titles
	AddDCoordsOptionsTitles(frame,"");
	
    -- Page of settings
	local px = 10;
	local py = -60;
	local inc = 25;
	local dropDownWidth = 200;
	local sliderWidth = 200;
	local msg = "";
	
	
	
	--createLabel((name,frameContainer,text,size,r,g,b,a,justify,x,y)
	msg = "";
	msg = msg .. "Thanks for using DCoords!" .. "\n\n";
	msg = msg .. "What's new?" .. "\n";
	msg = msg .. "Some big changes in this version (again), nearly a complete re-write!" .. "\n";
	msg = msg .. "Cleaner programming, faster and more efficient!" .. "\n\n";
	msg = msg .. "Let me know if you have any issues and I will correct them when I can." .. "\n";
	msg = msg .. "\n\n";
	msg = msg .. "IMPORTANT CHANGES:" .. "\n\n";
	msg = msg .. "1. Setting alignment of coordinates bar will change the way the coordinates bar grows and shrinks in width." .. "\n";
	msg = msg .. "If you align left (Top left, Left, Bottom left), the coordinates bar will expand to the right." .. "\n";
	msg = msg .. "If you align right (Top right, Top, Bottom right), the coordinates bar will expand to the left." .. "\n";
	msg = msg .. "If you align center (Top, Center, Bottom), the coordinates bar will expand both ways (DCoords version 3 behaviour)." .. "\n";
	msg = msg .. "\n\n";
	msg = msg .. "2. Objectives tracker features if enabled you can drag the objectives tracker by holding SHIFT, LEFT CLICK AND DRAG." .. "\n\n";
	msg = msg .. "\n\n";
	msg = msg .. "3. You can drag the coordinates bar by holding SHIFT, LEFT CLICK AND DRAG." .. "\n\n";
	local mainInfo1 = createLabel("mainInfo1",frame,msg,15,1,1,1,1,"LEFT",px,py);
	py = py - 25;
	
	
	
	
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #




-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #